Subject: Re: oops/warning report for the week of November 26, 2008

From: Ingo Molnar <[email-masked]>
Date: Thu, 27 Nov 2008 21:18:36 +0100

* Arjan van de Ven <[email-masked]> wrote:

> Ingo Molnar wrote:
>> * Arjan van de Ven <[email-masked]> wrote:
>>
>>> Rank 8: mtrr_trim_uncached_memory (warning)
>>> 	Reported 227 times (619 total reports)
>>> 	There is a high number of machines where our MTRR checks 	trigger. I 
>>> suspect we are too picky in accepting the MTRR 	configuration.
>>
>> the warning here means: "the BIOS messed up but we fixed it up for you 
>> just fine".
>
> I don't believe that right now. we see so many of these, including 
> many "there's no MTRRs at all", that I am seriously suspecting that 
> our code is just incorrect somehow and triggering too much.

well we looked at existing reports and Linux was right to fix them up. 
Show us one that is incorrect, then we can fix it up.

the "no MTRR's" are vmware/(also qemu?) guests not implementing a full 
CPU emulation.

	Ingo